org.bdgenomics.adam.models

# ReferenceRegion

#### case class ReferenceRegion(referenceName: String, start: Long, end: Long, orientation: Strand = ...) extends Comparable[ReferenceRegion] with Interval with Product with Serializable

Represents a contiguous region of the reference genome.

referenceName

  The name of the sequence (chromosome) in the reference genome

start

  The 0-based residue-coordinate for the start of the region

end

  The 0-based residue-coordinate for the first residue after the start which is not in the region -- i.e. [start, end) define a 0-based half-open interval.

Linear Supertypes
Serializable, Serializable, Product, Equals, Interval, Comparable[ReferenceRegion], AnyRef, Any
Known Subclasses
ReferencePosition
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ReferenceRegion
2. Serializable
3. Serializable
4. Product
5. Equals
6. Interval
7. Comparable
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ReferenceRegion(referenceName: String, start: Long, end: Long, orientation: Strand = ...)

   referenceName

     The name of the sequence (chromosome) in the reference genome

   start

     The 0-based residue-coordinate for the start of the region

   end

     The 0-based residue-coordinate for the first residue after the start which is not in the region -- i.e. [start, end) define a 0-based half-open interval.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def compareTo(that: ReferenceRegion): Int

   Definition Classes
     ReferenceRegion → Comparable

9. #### def contains(other: ReferenceRegion): Boolean

10. #### def contains(other: ReferencePosition): Boolean

11. #### def disorient: ReferenceRegion

12. #### def distance(other: ReferenceRegion): Option[Long]

    Returns the distance between this reference region and another region in the reference space.

    Returns the distance between this reference region and another region in the reference space.

    other

      Region to compare against.

    returns

      Returns an option containing the distance between two points. If the point is not in our reference space, we return an empty option (None).

    Note

      Distance here is defined as the minimum distance between any point within this region, and any point within the other region we are measuring against. If the two sets overlap, the distance will be 0. If the sets abut, the distance will be 1. Else, the distance will be greater.

13. #### val end: Long

    The 0-based residue-coordinate for the first residue after the start which is not in the region -- i.

    The 0-based residue-coordinate for the first residue after the start which is not in the region -- i.e. [start, end) define a 0-based half-open interval.

    Definition Classes
      ReferenceRegion → Interval

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      ReferenceRegion → AnyRef → Any

18. #### def hull(region: ReferenceRegion): ReferenceRegion

    Creates a region corresponding to the convex hull of two regions.

    Creates a region corresponding to the convex hull of two regions. Has no preconditions about the adjacency or overlap of two regions. However, regions must be in the same reference space.

    region

      Other region to compute hull of with this region.

    returns

      The convex hull of both unions.

    Exceptions thrown
      AssertionError

      Thrown if regions are in different reference spaces.

    See also

      merge

19. #### def intersection(region: ReferenceRegion): ReferenceRegion

    Calculates the intersection of two reference regions.

    Calculates the intersection of two reference regions.

    region

      Region to intersect with.

    returns

      A smaller reference region.

20. #### def isAdjacent(region: ReferenceRegion): Boolean

    Returns whether two regions are adjacent.

    Returns whether two regions are adjacent. Adjacent regions do not overlap, but have no separation between start/end.

    region

      Region to compare against.

    returns

      True if regions are adjacent.

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### def length(): Long

23. #### def merge(region: ReferenceRegion): ReferenceRegion

    Merges two reference regions that are contiguous.

    Merges two reference regions that are contiguous.

    region

      Other region to merge with this region.

    returns

      The merger of both unions.

    Exceptions thrown
      AssertionError

      Thrown if regions are not overlapping or adjacent.

    See also

      hull

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### val orientation: Strand

28. #### def overlaps(other: ReferenceRegion): Boolean

29. #### val referenceName: String

    The name of the sequence (chromosome) in the reference genome

30. #### val start: Long

    The 0-based residue-coordinate for the start of the region

    The 0-based residue-coordinate for the start of the region

    Definition Classes
      ReferenceRegion → Interval

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### def width: Long

    A width is the key property of an interval, which can represent a genomic region, a transcript, a gene, etc.

    A width is the key property of an interval, which can represent a genomic region, a transcript, a gene, etc.

    returns

      The width of this interval.

    Definition Classes
      Interval

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Interval

### Inherited from Comparable[ReferenceRegion]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped